org.apache.poi.xwpf.usermodel

## Class XWPFAbstractSDT

- java.lang.Object
- - org.apache.poi.xwpf.usermodel.XWPFAbstractSDT

- All Implemented Interfaces:
    ISDTContents
  Direct Known Subclasses:
    XWPFSDT, XWPFSDTCell

      public abstract class XWPFAbstractSDT
      extends java.lang.Object
      implements ISDTContents

  Experimental abstract class that is a base for XWPFSDT and XWPFSDTCell

  WARNING - APIs expected to change rapidly.

  These classes have so far been built only for read-only processing.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWPFAbstractSDT(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSdtPr pr, IBody part)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IBody` | `getBody()`
    `abstract ISDTContent` | `getContent()`
    `XWPFDocument` | `getDocument()`
    `BodyElementType` | `getElementType()`
    `POIXMLDocumentPart` | `getPart()`
    `BodyType` | `getPartType()`
    `java.lang.String` | `getTag()`
    `java.lang.String` | `getTitle()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XWPFAbstractSDT

          public XWPFAbstractSDT(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSdtPr pr,
                                 IBody part)

  - ### Method Detail

    - #### getTitle

          public java.lang.String getTitle()

      Returns:
        first SDT Title

    - #### getTag

          public java.lang.String getTag()

      Returns:
        first SDT Tag

    - #### getContent

          public abstract ISDTContent getContent()

      Returns:
        the content object

    - #### getBody

          public IBody getBody()

      Returns:
        null

    - #### getPart

          public POIXMLDocumentPart getPart()

      Returns:
        document part

    - #### getPartType

          public BodyType getPartType()

      Returns:
        partType

    - #### getElementType

          public BodyElementType getElementType()

      Returns:
        element type

    - #### getDocument

          public XWPFDocument getDocument()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.